d1 = open("c:\uaz\save\0401\kpok")
d = open("c:\uaz\otl\0101\kpok")
rem putkey(d,1)
for i = 1 to size(d1)
   if i = 1 then getfirst(d1)
   if i != 1 then getnext(d1)
    if substr('Дата'.d1,1,6) != "200401" then goto 900
    if 'Сумма_0'.d1 != 0 then goto 900

   nomd = 'Номер_док.'.d1
   dt= 'Дата'.d1
   print nomd,dt
 if Find(d,2,1,dt,nomd) != 0 then goto 100
   print nomd,dt
   'Сумма_18'.d1 = 'Сумма_20'.d
   'НДС_18'.d1 = 'НДС_20'.d
     update(d1)
    goto 900
100   print nomd,dt 
900 next
close(d)
close(d1)
end
